Paycose Docs
Receipt
GET/receipts

List Receipts

Responses: 200

Generated from the code contract; no hand-written description yet.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/receipts/?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[amount_paid]=&filter[created_at]=&filter[currency]=&filter[customer_id]=&filter[id]=&filter[invoice_id]=&filter[labels]=&filter[number]=&filter[paid_at]=&filter[payment_method_id]=&filter[provider_id]=&filter[reference_id]=&filter[status]=&filter[subtotal]=&filter[total]=&filter[updated_at]=' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}'

Headers

NameValue
X-Session-Token{{session_token}}
X-Country{{country}}

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "livemode": false,
      "created_at": "<RFC3339 timestamp>",
      "updated_at": "<RFC3339 timestamp>",
      "number": "<string>",
      "invoice_id": "<string>",
      "customer_id": "<string>",
      "customer_name": "<string>",
      "customer_email": "<string>",
      "customer_phone": "<string>",
      "status": "<string>",
      "addresses": [
        {
          "id": "<string>",
          "address_type": "<string>",
          "name": "<string>",
          "phone": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "postal_code": "<string>",
          "country": "<string>"
        }
      ],
      "line_items": [
        {
          "id": "<string>",
          "object": "<string>",
          "product_id": "<string>",
          "product_price_id": "<string>",
          "product_reference_id": "<string>",
          "price_reference_id": "<string>",
          "sort_order": 0,
          "type": "<string>",
          "description": "<string>",
          "product_name": "<string>",
          "product_description": "<string>",
          "product_image": "<string>",
          "product_type": "<string>",
          "unit_amount": 0,
          "quantity": 0,
          "amount_discount": 0,
          "amount_subtotal": 0,
          "amount_tax": 0,
          "amount_total": 0,
          "currency": "<string>",
          "discountable": false,
          "proration": false,
          "period_start": "<RFC3339 timestamp>",
          "period_end": "<RFC3339 timestamp>",
          "reference_id": "<string>",
          "metadata": {},
          "taxes": [
            {
              "id": "<string>",
              "tax_rate_id": "<string>",
              "taxable_amount": 0,
              "tax_amount": 0,
              "inclusive": false
            }
          ]
        }
      ],
      "discounts": [
        {
          "id": "<string>",
          "coupon_id": "<string>",
          "promotion_code_id": "<string>",
          "name": "<string>",
          "amount": 0
        }
      ],
      "subtotal": 0,
      "tax": 0,
      "total": 0,
      "amount_shipping": 0,
      "amount_discount": 0,
      "amount_paid": 0,
      "payment_method_id": "<string>",
      "paid_at": "<RFC3339 timestamp>",
      "currency": "<string>",
      "scaling_factor": 0,
      "transfer_data": {
        "destination": "<string>",
        "balance_id": "<string>"
      },
      "provider": "<string>",
      "reference_id": "<string>",
      "metadata": {},
      "labels": "<core.Labels>",
      "customer": {
        "id": "<string>",
        "object": "<string>",
        "livemode": false,
        "created_at": null,
        "updated_at": null,
        "name": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "address": {
          "city": "<string>",
          "country": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "state": "<string>"
        },
        "shipping": {
          "name": "<string>",
          "phone": "<string>",
          "address": {
            "city": "<string>",
            "country": "<string>",
            "line1": "<string>",
            "line2": "<string>",
            "postal_code": "<string>",
            "state": "<string>"
          }
        },
        "is_system": false,
        "is_application_customer": false,
        "capabilities": {
          "charge": false,
          "transfer": false,
          "payout": false
        },
        "tax_ids": [
          {
            "type": "<string>",
            "value": "<string>",
            "country": "<string>",
            "verification_status": "<string>"
          }
        ],
        "metadata": {},
        "labels": "<core.Labels>",
        "invoice_settings": {},
        "tax_exempt": "<string>",
        "preferred_locales": [
          "<string>"
        ],
        "business_name": "<string>",
        "currency": "<string>"
      }
    }
  ],
  "page": 1,
  "limit": 10,
  "total_items": 1,
  "total_pages": 1
}

On this page